pafat.rtl.css 24 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148
  1. @charset "UTF-8";
  2. /*=== GENERAL */
  3. /*============*/
  4. :root {
  5. --font-color-white: #fff;
  6. --font-color-grey-light: #c5c6ca;
  7. --font-color-grey: #666;
  8. --font-color-hover: #000;
  9. --font-color-link-title: #333;
  10. --font-color-link-general: #2980b9;
  11. --font-color-link-general-hover: #038;
  12. --font-color-unread-articles: #428bca;
  13. --font-color-article: #41444f;
  14. --font-color-blockquote: #41444f;
  15. --font-color-code: #d14;
  16. --background-color-white: #fff;
  17. --background-color-grey-light: #fafafa;
  18. --background-color-grey: #f4f4f4;
  19. --background-color-grey-transparent: #f3f3f3bb;
  20. --background-color-grey-hover: #f0f0f0;
  21. --background-color-grey-button-active: #eee;
  22. --background-color-dark: #41444f;
  23. --background-color-navlist-active: #3498db;
  24. --background-color-favorite: #fff6da;
  25. --background-color-favorite-hover: #fff9e8;
  26. --background-color-button-important: #5cb85c;
  27. --background-color-button-important-hover: #47a447;
  28. --background-color-button-attention: #d9534f;
  29. --background-color-button-attention-hover: #d2322d;
  30. --background-color-active-feed: #5cb85c;
  31. --background-color-mainstream: #428bca;
  32. --background-color-mainstream-active: #3276b1;
  33. --background-color-favorites: #f0ad4e;
  34. --background-color-favorites-active: #ed9c28;
  35. --background-color-category: #5bc0de;
  36. --background-color-category-active: #39b3d7;
  37. --background-color-new-article: #428bca;
  38. --background-color-new-article-hover: #3276b1;
  39. --color-empty-feed: #f39c12;
  40. --color-error-feed: #bd362f;
  41. --color-warning-icon-folder: #f0ad4e;
  42. --notification-good-background-color: #ffe;
  43. --notification-good-border-color: #eeb;
  44. --notification-good-font-color: #c95;
  45. --notification-bad-background-color: #fdd;
  46. --notification-bad-font-color: #844;
  47. --notification-bad-border-color: #ecc;
  48. --notification-box-shadow-color: #ddd;
  49. --alert-warn-background-color: #ffe;
  50. --alert-warn-border-color: #eeb;
  51. --alert-warn-font-color: #c95;
  52. --alert-success-background-color: #dfd;
  53. --alert-success-border-color: #cec;
  54. --alert-success-font-color: #484;
  55. --alert-error-background-color: #fdd;
  56. --alert-error-font-color: #844;
  57. --alert-error-border-color: #ecc;
  58. --invalid-box-border-color: #f00;
  59. --invalid-box-shadow-color: #fdd;
  60. --border-color-white: #fff;
  61. --border-color-grey-dark: #aaa;
  62. --border-color-grey-light: #ddd;
  63. --border-left-article: #5cb85c;
  64. --border-left-article-current: #39b3d7;
  65. --border-left-article-unread: #d9534f;
  66. --border-left-article-favorite: #428bca;
  67. }
  68. html, body {
  69. background-color: var(--background-color-grey-light);
  70. color: var(--font-color-grey);
  71. font-family: "OpenSans", "Cantarell", "Helvetica", "Arial", sans-serif;
  72. }
  73. /*=== Links */
  74. a, .as-link, button.as-link {
  75. color: var(--font-color-link-general);
  76. outline: none;
  77. }
  78. /*=== Forms */
  79. legend {
  80. margin: 20px 0 5px;
  81. padding: 5px 0;
  82. font-size: 1.4em;
  83. border-bottom: 1px solid var(--border-color-grey-light);
  84. }
  85. label {
  86. min-height: 25px;
  87. padding: 5px 0;
  88. cursor: pointer;
  89. }
  90. input, select, textarea {
  91. background-color: var(--background-color-white);
  92. color: var(--font-color-grey);
  93. border: 1px solid var(--border-color-grey-dark);
  94. border-radius: 3px;
  95. }
  96. option {
  97. padding: 0 .5em;
  98. }
  99. input:focus, select:focus, textarea:focus {
  100. border-color: var(--border-color-grey-dark);
  101. }
  102. input:invalid, select:invalid {
  103. border-color: var(--invalid-box-border-color);
  104. box-shadow: 0 0 2px 2px var(--invalid-box-shadow-color) inset;
  105. }
  106. /*=== Tables */
  107. table {
  108. border-collapse: collapse;
  109. }
  110. th, td {
  111. border: 1px solid var(--border-color-grey-light);
  112. }
  113. th {
  114. background-color: var(--background-color-grey);
  115. }
  116. .config-articleicons td,
  117. .config-articleicons th {
  118. font-weight: normal;
  119. text-align: center;
  120. }
  121. /*=== COMPONENTS */
  122. /*===============*/
  123. /*=== Forms */
  124. .form-group.form-actions {
  125. padding: 5px 0;
  126. background-color: var(--background-color-grey-transparent);
  127. border-top: 1px solid var(--border-color-grey-light);
  128. }
  129. .form-group.form-actions .btn {
  130. margin: 0 10px;
  131. }
  132. .form-group .group-name {
  133. padding: 10px 0;
  134. }
  135. .form-group .group-controls {
  136. margin-bottom: 10px;
  137. padding: 5px 0;
  138. min-height: 25px;
  139. }
  140. /*=== Buttons */
  141. .stick input,
  142. .stick .btn,
  143. .group .btn {
  144. border-radius: 0;
  145. }
  146. .stick .btn:first-child,
  147. .group .btn:first-child,
  148. .stick input:first-child {
  149. border-radius: 0 3px 3px 0;
  150. }
  151. .stick .btn-important:first-child {
  152. width: 176px;
  153. }
  154. .stick .btn:last-child,
  155. .group .btn:last-child,
  156. .stick input:last-child {
  157. border-radius: 3px 0 0 3px;
  158. }
  159. .group > .btn:only-child,
  160. .group > .dropdown:only-child > .btn {
  161. border-radius: 3px;
  162. }
  163. .stick .btn + .btn,
  164. .group .btn + .btn,
  165. .stick .btn + input,
  166. .stick .btn + .dropdown > .btn,
  167. .group .btn + .dropdown > .btn,
  168. .stick input + .btn,
  169. .stick input + input,
  170. .stick input + .dropdown > .btn,
  171. .stick .dropdown + .btn,
  172. .group .dropdown + .btn,
  173. .stick .dropdown + input,
  174. .stick .dropdown + .dropdown > .btn,
  175. .group .dropdown + .dropdown > .btn {
  176. border-right: none;
  177. }
  178. .stick .btn + .dropdown > .btn,
  179. .group .btn + .dropdown:last-child > .btn,
  180. .group .dropdown + .dropdown:last-child > .btn {
  181. border-right: none;
  182. border-radius: 3px 0 0 3px;
  183. }
  184. .btn {
  185. margin: 0;
  186. padding: 1px 5px;
  187. background-color: var(--background-color-white);
  188. color: var(--font-color-grey);
  189. font-size: 0.9rem;
  190. border: 1px solid var(--border-color-grey-dark);
  191. border-radius: 3px;
  192. min-height: 25px;
  193. min-width: 15px;
  194. line-height: 1.7;
  195. vertical-align: middle;
  196. }
  197. .read_all.btn {
  198. height: 29px;
  199. }
  200. .btn:hover {
  201. background-color: var(--background-color-grey-hover);
  202. text-decoration: none;
  203. }
  204. .btn.active,
  205. .btn:active,
  206. .dropdown-target:target ~ .btn.dropdown-toggle {
  207. background-color: var(--background-color-grey-button-active);
  208. }
  209. .btn-important {
  210. background-color: var(--background-color-button-important);
  211. color: var(--font-color-white);
  212. border: none;
  213. font-weight: normal;
  214. }
  215. .btn-important:hover, .btn-important:active {
  216. background-color: var(--background-color-button-important-hover);
  217. border: none;
  218. }
  219. .btn-important .icon {
  220. filter: brightness(3);
  221. }
  222. .btn-attention {
  223. background-color: var(--background-color-button-attention);
  224. color: var(--font-color-white);
  225. border: none;
  226. }
  227. .btn-attention:hover {
  228. background-color: var(--background-color-button-attention-hover);
  229. border: none;
  230. }
  231. .btn-attention:active {
  232. background-color: var(--background-color-button-attention-hover);
  233. }
  234. /*=== Navigation */
  235. .nav-list {
  236. font-size: 0.9rem;
  237. }
  238. .nav-list .item,
  239. .nav-list .item.nav-header {
  240. min-height: 2.5em;
  241. line-height: 2.5;
  242. }
  243. .nav-list .item a:hover,
  244. .nav-list .item .as-link:hover {
  245. color: var(--font-color-link-general-hover);
  246. background-color: var(--background-color-grey-hover);
  247. }
  248. .nav-list .item.active,
  249. .nav-list .item.active a:hover,
  250. .nav-list .item.active .as-link:hover {
  251. background-color: var(--background-color-navlist-active);
  252. color: var(--font-color-white);
  253. }
  254. .nav-list .item.active a,
  255. .nav-list .item.active .as-link {
  256. color: var(--font-color-white);
  257. }
  258. .nav-list .item > a,
  259. .nav-list .item > .as-link {
  260. padding: 0 1rem;
  261. }
  262. .nav-list a:hover,
  263. .nav-list .as-link:hover {
  264. text-decoration: none;
  265. }
  266. .nav-list .nav-header {
  267. padding: 0 1rem;
  268. background-color: var(--background-color-grey);
  269. color: var(--font-color-grey);
  270. font-weight: bold;
  271. }
  272. .nav-list .nav-form {
  273. padding: 3px;
  274. text-align: center;
  275. }
  276. /*=== Dropdown */
  277. .dropdown-menu {
  278. margin: 5px 0 0;
  279. padding: 0.5rem 0 0.25rem 0;
  280. font-size: 0.8rem;
  281. border: 1px solid var(--border-color-grey-dark);
  282. border-radius: 5px;
  283. text-align: right;
  284. }
  285. .dropdown-menu::after {
  286. border-color: var(--border-color-grey-dark);
  287. left: 8px;
  288. }
  289. .dropdown-header,
  290. .dropdown-section .dropdown-section-title {
  291. padding: 0 5px 5px;
  292. color: var(--font-color-grey);
  293. font-weight: bold;
  294. text-align: right;
  295. }
  296. .dropdown-menu .item > a,
  297. .dropdown-menu .item > span,
  298. .dropdown-menu .item > .as-link {
  299. padding: 0 22px;
  300. line-height: 2.5;
  301. color: var(--font-color-grey);
  302. font-size: inherit;
  303. }
  304. .dropdown-menu .dropdown-section .item > a,
  305. .dropdown-menu .dropdown-section .item > span,
  306. .dropdown-menu .dropdown-section .item > .as-link {
  307. padding-right: 2rem;
  308. }
  309. .dropdown-menu .dropdown-section .item:last-child {
  310. margin-bottom: 0.5rem;
  311. }
  312. .dropdown-menu .item > a:focus,
  313. .dropdown-menu .item > a:hover,
  314. .dropdown-menu .item > button:focus:not([disabled]),
  315. .dropdown-menu .item > button:hover:not([disabled]),
  316. .dropdown-menu .item > label:focus:not(.noHover),
  317. .dropdown-menu .item > label:hover:not(.noHover) {
  318. background-color: var(--background-color-grey-hover);
  319. color: var(--font-color-grey);
  320. }
  321. .dropdown-menu > .item[aria-checked="true"] > a::before {
  322. font-weight: bold;
  323. margin: 0 -14px 0 0;
  324. }
  325. .dropdown-menu .input select,
  326. .dropdown-menu .input input {
  327. margin: 0 auto 5px;
  328. padding: 2px 5px;
  329. border-radius: 3px;
  330. }
  331. .item ~ .dropdown-header,
  332. .dropdown-section ~ .dropdown-section,
  333. .item.separator {
  334. border-top-color: var(--border-color-grey-light);
  335. }
  336. /*=== Alerts */
  337. .alert {
  338. background-color: var(--background-color-grey);
  339. color: var(--font-color-grey);
  340. font-size: 0.9em;
  341. border: 1px solid var(--border-color-grey-light);
  342. border-left: 1px solid var(--border-color-grey-dark);
  343. border-bottom: 1px solid var(--border-color-grey-dark);
  344. border-radius: 5px;
  345. }
  346. .alert-head {
  347. font-size: 1.15em;
  348. }
  349. .alert > a {
  350. color: inherit;
  351. text-decoration: underline;
  352. }
  353. .alert-warn {
  354. background: var(--alert-warn-background-color);
  355. color: var(--alert-warn-font-color);
  356. border: 1px solid var(--alert-warn-border-color);
  357. }
  358. .alert-success {
  359. background-color: var(--alert-success-background-color);
  360. color: var(--alert-success-font-color);
  361. border: 1px solid var(--alert-success-border-color);
  362. }
  363. .alert-error {
  364. background: var(--alert-error-background-color);
  365. color: var(--alert-error-font-color);
  366. border: 1px solid var(--alert-error-border-color);
  367. }
  368. /*=== Pagination */
  369. .pagination:first-child .item {
  370. border-bottom: 1px solid var(--border-color-grey-dark);
  371. }
  372. .pagination:last-child .item {
  373. border-top: 1px solid var(--border-color-grey-dark);
  374. }
  375. /*=== Boxes */
  376. .box {
  377. border: 1px solid var(--border-color-grey-dark);
  378. border-radius: 5px;
  379. }
  380. .box .box-title {
  381. background-color: var(--background-color-grey);
  382. border-bottom: 1px solid var(--border-color-grey-dark);
  383. border-radius: 5px 5px 0 0;
  384. }
  385. .box .box-title .configure {
  386. margin-left: 4px;
  387. }
  388. .box .box-content {
  389. padding-right: 30px;
  390. max-height: 260px;
  391. }
  392. .box .box-content .item {
  393. font-size: 0.9rem;
  394. }
  395. /*=== Tree */
  396. .tree {
  397. margin: 10px 0;
  398. }
  399. .tree-folder {
  400. padding: 0.25rem 0.5rem;
  401. }
  402. .tree-folder-title {
  403. padding: 0.125rem 0.5rem;
  404. background-color: var(--background-color-category);
  405. color: var(--font-color-white);
  406. font-size: 0.9rem;
  407. border-top: 1px solid transparent;
  408. border-bottom: 1px solid transparent;
  409. border-radius: 0.25rem;
  410. position: relative;
  411. line-height: 2.15;
  412. }
  413. .tree-folder-title:hover {
  414. background-color: var(--background-color-category-active);
  415. }
  416. .tree-folder-title .title {
  417. background: inherit;
  418. color: var(--font-color-white);
  419. }
  420. .tree-folder-title .title:hover {
  421. text-decoration: none;
  422. }
  423. .item.feed.error .item-title::before {
  424. font-size: 1rem;
  425. font-weight: normal;
  426. line-height: 1;
  427. }
  428. .tree-folder-title .title.error::before {
  429. color: var(--color-warning-icon-folder);
  430. font-size: 1.2rem;
  431. font-weight: normal;
  432. line-height: 1;
  433. }
  434. .tree-folder-title > .icon,
  435. .tree-folder-title .title .icon {
  436. filter: brightness(2.5);
  437. }
  438. .tree-folder.active .tree-folder-title {
  439. background-color: var(--background-color-category-active);
  440. font-weight: bold;
  441. }
  442. .tree-folder.active .tree-folder-title::before {
  443. background-color: var(--background-color-white);
  444. width: 0.5rem;
  445. height: 0.5rem;
  446. position: absolute;
  447. top: 1rem;
  448. right: -0.25rem;
  449. z-index: 10;
  450. transform: rotate(-45deg);
  451. }
  452. .aside_feed .configure-feeds .btn {
  453. padding: 0.125rem 0.75rem;
  454. }
  455. .aside_feed .tree-folder-items > .item.feed {
  456. padding-right: 0.5rem;
  457. font-size: 0.8rem;
  458. }
  459. .aside .feed .item-title:not([data-unread="0"])::after {
  460. left: 0.5rem;
  461. }
  462. .tree-folder-items > .item.active {
  463. background-color: var(--background-color-active-feed);
  464. }
  465. .tree-folder-items > .item > a {
  466. text-decoration: none;
  467. }
  468. .tree-folder-items > .item.active > a {
  469. color: var(--font-color-white);
  470. }
  471. /*=== STRUCTURE */
  472. /*===============*/
  473. /*=== Header */
  474. .header {
  475. background-color: var(--background-color-dark);
  476. }
  477. .header > .item {
  478. box-shadow: inset 0 -1px 0 var(--border-color-grey-dark);
  479. vertical-align: middle;
  480. text-align: center;
  481. }
  482. .header > .item.title .logo {
  483. filter: grayscale(100%) brightness(2.5);
  484. }
  485. .header > .item.title a:hover .logo {
  486. filter: grayscale(100%) brightness(4);
  487. }
  488. a.signin {
  489. text-decoration: none;
  490. color: var(--font-color-grey-light);
  491. }
  492. .header > .item.search input {
  493. width: 230px;
  494. height: 29px;
  495. box-sizing: border-box;
  496. }
  497. .header > .item.search button {
  498. box-sizing: border-box;
  499. height: 29px;
  500. }
  501. .header .item.search input {
  502. width: 350px;
  503. }
  504. /*=== Body */
  505. .aside {
  506. background-color: var(--background-color-white);
  507. border-left: 1px solid var(--border-color-grey-dark);
  508. }
  509. .aside.aside_feed {
  510. padding: 10px 0;
  511. text-align: center;
  512. }
  513. .aside.aside_feed .tree {
  514. margin: 10px 0 50px;
  515. }
  516. /*=== Aside main page (categories) */
  517. .aside_feed .tree-folder-title > .title:not([data-unread="0"])::after,
  518. .global .box.category .title:not([data-unread="0"])::after {
  519. margin: 0.55em 0 0 0;
  520. background-color: var(--background-color-white);
  521. color: var(--font-color-unread-articles);
  522. }
  523. .aside.aside_feed .feed .item-title:not([data-unread="0"])::after {
  524. background-color: var(--background-color-category);
  525. color: var(--font-color-white);
  526. }
  527. .aside.aside_feed .tree-folder.category.active .feed .item-title:not([data-unread="0"])::after {
  528. background-color: var(--background-color-category-active);
  529. font-size: 0.7rem;
  530. }
  531. .aside.aside_feed .category .title:not([data-unread="0"])::after {
  532. left: 0.5rem;
  533. }
  534. .aside.aside_feed .feed.active .item-title:not([data-unread="0"])::after {
  535. background-color: transparent;
  536. color: var(--font-color-white);
  537. border: 1px solid var(--border-color-white);
  538. font-weight: bold;
  539. }
  540. .aside_feed .tree-folder.all .tree-folder-title {
  541. background-color: var(--background-color-mainstream);
  542. }
  543. .aside_feed .tree-folder.all:hover .tree-folder-title,
  544. .aside_feed .tree-folder.all.active .tree-folder-title {
  545. background-color: var(--background-color-mainstream-active);
  546. }
  547. .aside_feed .tree-folder.favorites .tree-folder-title {
  548. background-color: var(--background-color-favorites);
  549. }
  550. .aside_feed .tree-folder.favorites:hover .tree-folder-title,
  551. .aside_feed .tree-folder.favorites.active .tree-folder-title {
  552. background-color: var(--background-color-favorites-active);
  553. }
  554. /*=== Aside main page (feeds) */
  555. .feed.item.empty.active {
  556. background: var(--color-empty-feed);
  557. }
  558. .feed.item.error.active {
  559. background: var(--color-empty-feed);
  560. }
  561. .feed.item.empty,
  562. .feed.item.empty > a {
  563. color: var(--color-empty-feed);
  564. }
  565. .feed.item.error,
  566. .feed.item.error > a {
  567. color: var(--color-error-feed);
  568. }
  569. .feed.item.empty.active,
  570. .feed.item.error.active,
  571. .feed.item.empty.active > a,
  572. .feed.item.error.active > a {
  573. color: var(--font-color-white);
  574. }
  575. .aside_feed .tree-folder-items .dropdown-menu::after {
  576. right: 2px;
  577. }
  578. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  579. .aside_feed .tree-folder-items .item:hover .dropdown-toggle > .icon,
  580. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  581. border-radius: 3px;
  582. background-color: var(--background-color-white);
  583. }
  584. .aside_feed .tree-folder-title .dropdown-toggle .icon {
  585. filter: brightness(3);
  586. }
  587. /*=== Prompt (centered) */
  588. .prompt .form-group {
  589. margin-bottom: 1rem;
  590. }
  591. .prompt .form-group::after {
  592. display: none;
  593. }
  594. .prompt .form-group.form-group-actions {
  595. display: flex;
  596. margin-top: 2rem;
  597. align-items: center;
  598. justify-content: space-between;
  599. }
  600. .prompt .btn.btn-important {
  601. padding-right: 1.5rem;
  602. padding-left: 1.5rem;
  603. font-size: 1.1rem;
  604. }
  605. /*=== New article notification */
  606. #new-article {
  607. background-color: var(--background-color-new-article);
  608. text-align: center;
  609. font-size: 0.9em;
  610. }
  611. #new-article > a {
  612. padding: 0.75rem;
  613. color: var(--font-color-white);
  614. font-weight: bold;
  615. }
  616. #new-article > a:hover {
  617. text-decoration: none;
  618. background-color: var(--background-color-new-article-hover);
  619. }
  620. /*=== Transition indication, e.g. day */
  621. .transition {
  622. padding: 0 10px;
  623. background-color: var(--background-color-white);
  624. color: var(--font-color-grey);
  625. border-top: 1px solid var(--border-color-grey-dark);
  626. border-bottom: 1px solid var(--border-color-grey-dark);
  627. font-weight: bold;
  628. line-height: 3;
  629. }
  630. .transition span {
  631. line-height: 1.5;
  632. }
  633. #new-article + .transition {
  634. border-top: none;
  635. }
  636. .transition .name {
  637. padding: 0 0 0 10px;
  638. color: var(--font-color-grey);
  639. font-size: 1.8em;
  640. opacity: 0.3;
  641. font-style: italic;
  642. text-align: left;
  643. }
  644. /*=== Index menu */
  645. .nav_menu {
  646. padding: 5px 2.5rem 0 0;
  647. background-color: var(--background-color-grey-light);
  648. border-bottom: 1px solid var(--border-color-grey-dark);
  649. text-align: center;
  650. .btn {
  651. margin: 5px 10px;
  652. }
  653. .stick,
  654. .group {
  655. margin: 0 10px;
  656. }
  657. .stick .btn,
  658. .group .btn {
  659. margin: 5px 0;
  660. }
  661. }
  662. /*=== Feed articles */
  663. .flux {
  664. background-color: var(--background-color-grey-light);
  665. border-right: 2px solid var(--border-left-article);
  666. }
  667. .flux .flux_header:hover,
  668. .flux.current .flux_header {
  669. background-color: var(--background-color-grey-hover);
  670. }
  671. .flux .flux_header:hover .title {
  672. color: var(--font-color-hover);
  673. }
  674. .flux.current {
  675. background-color: var(--background-color-white);
  676. border-right: 2px solid var(--border-left-article-current);
  677. }
  678. .flux.not_read {
  679. border-right: 2px solid var(--border-left-article-unread);
  680. }
  681. .flux .flux_header .item .title a,
  682. .flux.not_read:not(.current):hover .flux_header .item .title {
  683. color: var(--font-color-link-title);
  684. }
  685. .flux.favorite {
  686. border-right: 2px solid var(--border-left-article-favorite);
  687. }
  688. .flux.favorite:not(.current) {
  689. background-color: var(--background-color-favorite);
  690. }
  691. .flux.favorite:not(.current):hover .flux_header .title,
  692. .flux.favorite:not(.current) .flux_header:hover,
  693. .flux.favorite.current .flux_header {
  694. background-color: var(--background-color-favorite-hover);
  695. }
  696. /* stylelint-disable-next-line no-duplicate-selectors */
  697. .flux.current {
  698. border-right-width: 5px;
  699. border-right-style: double;
  700. }
  701. .flux.current > .flux_header {
  702. background: linear-gradient(to left, transparent 0, transparent 3px, var(--background-color-hover) 3px);
  703. margin-right: -3px; /* Compensate increased border-left-width */
  704. }
  705. .flux.not_read.current > .flux_header, .flux.not_read.current > .flux_header:hover {
  706. background: linear-gradient(to left, transparent 0, transparent 3px, var(--unread-article-background-color-hover) 3px);
  707. }
  708. .flux.favorite.current > .flux_header, .flux.favorite.current > .flux_header:hover {
  709. background: linear-gradient(to left, transparent 0, transparent 3px, var(--favorite-article-background-color-hover) 3px);
  710. }
  711. .flux_header {
  712. font-size: 0.8rem;
  713. border-top: 1px solid var(--border-color-grey-light);
  714. cursor: pointer;
  715. }
  716. .flux_header .title {
  717. font-size: 0.9rem;
  718. }
  719. .flux_header .title .item-element {
  720. padding: 0.425rem;
  721. }
  722. .flux .flux_header .date,
  723. .flux .flux_content .bottom .date {
  724. color: var(--font-color-grey);
  725. }
  726. .flux .bottom {
  727. font-size: 0.8rem;
  728. text-align: center;
  729. }
  730. /*=== Content of feed articles */
  731. .content {
  732. padding: 20px 10px;
  733. }
  734. .content > h1.title > a {
  735. color: var(--font-color-link-title);
  736. }
  737. .content hr {
  738. margin: 30px 10px;
  739. background-color: var(--background-color-grey);
  740. height: 1px;
  741. border: 0;
  742. }
  743. .content pre {
  744. background-color: var(--background-color-dark);
  745. color: var(--font-color-white);
  746. border-radius: 3px;
  747. }
  748. .content code {
  749. background-color: var(--background-color-grey-light);
  750. color: var(--font-color-code);
  751. border-color: var(--border-color-grey-light);
  752. border-radius: 3px;
  753. }
  754. .content pre code {
  755. background: transparent;
  756. color: var(--font-color-white);
  757. border: none;
  758. }
  759. .content blockquote {
  760. margin: 0;
  761. padding: 5px 20px;
  762. background-color: var(--background-color-grey-light);
  763. display: block;
  764. color: var(--font-color-blockquote);
  765. border-top: 1px solid var(--border-color-grey-light);
  766. border-bottom: 1px solid var(--border-color-grey-light);
  767. }
  768. .content blockquote p {
  769. margin: 0;
  770. }
  771. /*=== Notification and actualize notification */
  772. .notification {
  773. font-size: 0.9em;
  774. border: 1px solid var(--notification-good-border-color);
  775. border-radius: 3px;
  776. box-shadow: 0 0 5px var(--notification-box-shadow-color);
  777. text-align: center;
  778. font-weight: bold;
  779. vertical-align: middle;
  780. }
  781. .notification.good {
  782. background-color: var(--notification-good-background-color);
  783. color: var(--notification-good-font-color);
  784. border: 1px solid var(--notification-good-border-color);
  785. }
  786. .notification.bad {
  787. background-color: var(--notification-bad-background-color);
  788. color: var(--notification-bad-font-color);
  789. border: 1px solid var(--notification-bad-border-color);
  790. }
  791. .notification.good .close:hover {
  792. background-color: var(--notification-good-border-color);
  793. }
  794. .notification.bad .close:hover {
  795. background-color: var(--notification-bad-border-color);
  796. }
  797. .notification .close .icon {
  798. filter: brightness(1.5);
  799. }
  800. .notification .close:hover .icon {
  801. filter: brightness(0.5);
  802. }
  803. /*=== "Load more" part */
  804. #bigMarkAsRead.big {
  805. background-color: var(--background-color-grey-light);
  806. color: var(--font-color-grey);
  807. text-align: center;
  808. text-decoration: none;
  809. }
  810. #bigMarkAsRead:hover {
  811. background-color: var(--background-color-grey-hover);
  812. color: var(--font-color-hover);
  813. }
  814. /*=== Navigation menu (for articles) */
  815. #nav_entries {
  816. background-color: var(--background-color-white);
  817. border-top: 1px solid var(--border-color-grey-light);
  818. }
  819. #nav_entries .item:hover {
  820. background-color: var(--background-color-grey-hover);
  821. }
  822. /*=== READER VIEW */
  823. /*================*/
  824. #stream.reader .flux {
  825. background-color: var(--background-color-grey-light);
  826. color: var(--font-color-article);
  827. border: none;
  828. }
  829. #stream.reader .flux .flux_content {
  830. background-color: var(--background-color-white);
  831. border-color: var(--border-color-grey-light);
  832. }
  833. #stream.reader .flux .author {
  834. color: var(--font-color-grey);
  835. }
  836. /*=== GLOBAL VIEW */
  837. /*================*/
  838. .box.category .box-title .title {
  839. font-weight: normal;
  840. text-decoration: none;
  841. text-align: right;
  842. }
  843. .box.category:not([data-unread="0"]) .box-title {
  844. background-color: var(--background-color-category);
  845. }
  846. .box.category:not([data-unread="0"]) .box-title .title {
  847. font-weight: bold;
  848. color: var(--font-color-white);
  849. }
  850. .box.category .title:not([data-unread="0"])::after {
  851. background: none;
  852. border: none;
  853. }
  854. #stream.global .feed .item-title:not([data-unread="0"])::after {
  855. background-color: var(--background-color-category);
  856. color: var(--font-color-white);
  857. }
  858. /*=== DIVERS */
  859. /*===========*/
  860. .aside.aside_feed .nav-form input,
  861. .aside.aside_feed .nav-form select {
  862. width: 140px;
  863. }
  864. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  865. left: -20px;
  866. }
  867. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  868. left: 33px;
  869. }
  870. /*=== STATISTICS */
  871. /*===============*/
  872. .stat {
  873. margin: 10px 0 20px;
  874. }
  875. .stat th,
  876. .stat td,
  877. .stat tr {
  878. border: none;
  879. }
  880. .stat > table td,
  881. .stat > table th {
  882. border-bottom: 1px solid var(--border-color-grey-light);
  883. text-align: center;
  884. }
  885. /*=== MOBILE */
  886. /*===========*/
  887. @media (max-width: 840px) {
  888. .form-group .group-name {
  889. padding-bottom: 0;
  890. }
  891. .aside .toggle_aside,
  892. #overlay .close,
  893. .dropdown-menu .toggle_aside {
  894. background-color: var(--background-color-grey);
  895. border-bottom: 1px solid var(--border-color-grey-light);
  896. }
  897. .nav_menu {
  898. padding-right: 0;
  899. padding-bottom: 5px;
  900. .stick,
  901. .group {
  902. min-width: 0;
  903. }
  904. }
  905. .dropdown-target:target ~ .dropdown-toggle::after {
  906. border-top: 1px solid var(--border-color-grey-dark);
  907. border-right: 1px solid var(--border-color-grey-dark);
  908. }
  909. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn {
  910. border-right: 1px solid var(--border-color-grey-dark);
  911. border-top-right-radius: 3px;
  912. border-bottom-right-radius: 3px;
  913. }
  914. .transition .name {
  915. font-size: 1.1rem;
  916. text-shadow: none;
  917. }
  918. .notification .close {
  919. background: transparent;
  920. display: block;
  921. right: 0;
  922. }
  923. .notification .close:hover {
  924. opacity: 0.5;
  925. }
  926. .notification .close .icon {
  927. display: none;
  928. }
  929. .post {
  930. padding-right: 15px;
  931. padding-left: 15px;
  932. }
  933. #overlay {
  934. background-color: var(--background-color-grey);
  935. }
  936. }